Subject: Questions Regarding the Intialization Process of a Master Agent

From: Nurit Sprecher <[email-masked]>
Date: Mon, 15 Jan 2001 12:35:22 +0200

Hi all, 
I have some questions regarding the AgentX protocol. It will be great if
someone may make it clear to me.

There are some uncertainty (for me) regarding the recovery process of a
master agent. What is the initialization process of a starting up master
agent?
Apparently, the registration table can be kept in a non-volatile memory, and
upon starting up; the master agent may restore the table.  Is that the
situation? Or may be it is expected to re-perform the registration process?
Personally, I think that the later case is unreasonable.  

In such a case, the question is how the master agent handles a case where
the master agent failed in a middle of a transaction? Is there a requirement
for persistency of a transaction managed by the master agent?  

Thanks in advance, Nurit.